---
updatedAt: 2026-10-23T12:40:21.000Z
agentTools:
  projectIndex: https://developers.pipe.run/llms.txt
---

# Atualizar nota

*Endpoint* utilizado para **atualizar uma nota específica** cadastrada na conta do CRM PipeRun, informando o ID da nota como *path parameter*.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "applicationjson",
    "version": "1.1-CRM"
  },
  "servers": [
    {
      "url": "https://api.pipe.run/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "token",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/notes/{note_id}": {
      "put": {
        "summary": "Atualizar nota",
        "description": "",
        "operationId": "atualizar-nota",
        "parameters": [
          {
            "name": "note_id",
            "in": "path",
            "description": "ID da nota.",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "text": {
                    "type": "string",
                    "description": "Texto (conteúdo) da nota."
                  },
                  "user_id": {
                    "type": "integer",
                    "description": "ID do usuário do PipeRun responsável pela nota.",
                    "format": "int32"
                  },
                  "deal_id": {
                    "type": "integer",
                    "description": "ID da oportunidade, caso a nota seja vinculada à uma oportunidade.",
                    "format": "int32"
                  },
                  "company_id": {
                    "type": "integer",
                    "description": "ID da empresa, caso a nota seja vinculada à uma empresa.",
                    "format": "int32"
                  },
                  "person_id": {
                    "type": "integer",
                    "description": "ID da pessoa, caso a nota seja vinculada à uma pessoa.",
                    "format": "int32"
                  },
                  "call_id": {
                    "type": "integer",
                    "description": "ID da chamada, caso a nota seja um comentário de uma chamada.",
                    "format": "int32"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "account_id": 11028,
                    "user_id": 42001,
                    "pipeline_id": 26447,
                    "stage_id": 141475,
                    "deal_id": 10031303,
                    "company_id": null,
                    "person_id": null,
                    "call_id": 2750222,
                    "text": "Cliente relatou que só contratará o serviço se o modo de pagamento for em cartão de crédito."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"message\": \"OK\",\n  \"data\": {\n    \"id\": 748,\n    \"account_id\": 748,\n    \"User_id\": 748,\n    \"deal_id\": 748,\n    \"company_id\": 748,\n    \"person_id\": 748,\n    \"call_id\": 748,\n    \"user_name\": \"Teste\",\n    \"text\": \"Cliente remarcou.\",\n    \"created_at\": \"2021-03-03 14:36:20\",\n    \"updated_at\": \"2021-03-03 14:36:20\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "OK"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "account_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "User_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "deal_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "company_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "person_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "call_id": {
                          "type": "integer",
                          "example": 748,
                          "default": 0
                        },
                        "user_name": {
                          "type": "string",
                          "example": "Teste"
                        },
                        "text": {
                          "type": "string",
                          "example": "Cliente remarcou."
                        },
                        "created_at": {
                          "type": "string",
                          "example": "2021-03-03 14:36:20"
                        },
                        "updated_at": {
                          "type": "string",
                          "example": "2021-03-03 14:36:20"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"message\": \"Not Found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"message\": \"Malformed JSON.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "Malformed JSON."
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```